import request from '@/utils/request'

// 查询报警配置管理列表
export function listAlarmtype(query) {
  return request({
    url: '/system/alarmtype/list',
    method: 'get',
    params: query
  })
}

// 查询报警配置管理详细
export function getAlarmtype(id) {
  return request({
    url: '/system/alarmtype/' + id,
    method: 'get'
  })
}

// 新增报警配置管理
export function addAlarmtype(data) {
  return request({
    url: '/system/alarmtype',
    method: 'post',
    data: data
  })
}

// 修改报警配置管理
export function updateAlarmtype(data) {
  return request({
    url: '/system/alarmtype',
    method: 'put',
    data: data
  })
}

// 修改报警开启状态
export function changeAlarmStatus(id, isOpen) {
  const data = {
    id,
    isOpen
  }
  return request({
    url: '/system/alarmtype/changeAlarmStatus',
    method: 'put',
    data: data
  })
}

// 删除报警配置管理
export function delAlarmtype(id) {
  return request({
    url: '/system/alarmtype/' + id,
    method: 'delete'
  })
}

// 导出报警配置管理
export function exportAlarmtype(query) {
  return request({
    url: '/system/alarmtype/export',
    method: 'get',
    params: query
  })
}
